
package de.ivu.elect.business.person.control;

import java.io.Serializable;
import java.util.Comparator;
import java.util.List;

import de.ivu.elect.business.person.entity.PersonendatenPK;

/**
 * Sortiert Pakete von PersonenVerknuepfungen, die selbst bereits sortiert sind nach dem PersonenVerknuepfungPK aufsteigend
 */
public class PersonendatenPaketComparator implements Serializable, Comparator<List<PersonendatenPK>> {

  private static final long serialVersionUID = 1L;

  public PersonendatenPaketComparator() {
    super();
  }

  @Override
  public int compare(List<PersonendatenPK> paket1, List<PersonendatenPK> paket2) {
    return paket1.get(0).compareTo(paket2.get(0));
  }
}
